Package org.eclipse.pde.core.target

## Class TargetEvents

- java.lang.Object
- - org.eclipse.pde.core.target.TargetEvents

    public class TargetEvents
    extends Object

Target events and event topic definitions

Since:
  3.13

### Field Summary

Fields
`static String` `TOPIC_ALL` Topic for all Target events
`static String` `TOPIC_BASE` Base topic for all Target events
`static String` `TOPIC_WORKSPACE_TARGET_CHANGED` Sent when workspace target definition is changed

### Constructor Summary

Constructors
`TargetEvents()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOPIC_BASE

    public static final String TOPIC_BASE

Base topic for all Target events

See Also:
  Constant Field Values

#### TOPIC_ALL

    public static final String TOPIC_ALL

Topic for all Target events

See Also:
  Constant Field Values

#### TOPIC_WORKSPACE_TARGET_CHANGED

    public static final String TOPIC_WORKSPACE_TARGET_CHANGED

Sent when workspace target definition is changed

See Also:
  `ITargetPlatformService.getWorkspaceTargetDefinition()`, Constant Field Values

### Constructor Detail

#### TargetEvents

    public TargetEvents()